function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
import React, { useState, forwardRef, useImperativeHandle } from 'react';
import { locales } from '@pisell/utils';
import { Button } from 'antd';
import CompensatedPisellContainer from "../../../../../pro/compensatedPisellContainer";
import { withResponsive } from "../../../../../responsive";
var AppointmentProductModal = function AppointmentProductModal(props, ref) {
  var variant = props.variant;
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    open = _useState2[0],
    setOpen = _useState2[1];
  var isPhoneVariant = variant === 'phone';
  useImperativeHandle(ref, function () {
    return {
      open: function open() {
        setOpen(true);
      }
    };
  });
  return /*#__PURE__*/React.createElement(CompensatedPisellContainer, {
    renderType: isPhoneVariant ? 'drawer' : 'modal',
    props: isPhoneVariant ? {
      open: open,
      placement: 'bottom',
      width: '100%',
      height: 'auto',
      title: locales.getText('pisell2.text.missing.reservation.title'),
      onClose: function onClose() {
        return setOpen(false);
      },
      footer: /*#__PURE__*/React.createElement("div", {
        style: {
          display: 'flex',
          gap: 12
        }
      }, /*#__PURE__*/React.createElement(Button, {
        style: {
          flex: 1
        },
        onClick: function onClick() {
          return setOpen(false);
        }
      }, locales.getText('pisell2.text.cancel')), /*#__PURE__*/React.createElement(Button, {
        style: {
          flex: 1
        },
        type: "primary",
        onClick: function onClick() {
          return setOpen(false);
        }
      }, locales.getText('pisell2.text.confirm')))
    } : {
      open: open,
      platform: 'pc',
      title: locales.getText('pisell2.text.missing.reservation.title'),
      onCancel: function onCancel() {
        return setOpen(false);
      },
      footer: /*#__PURE__*/React.createElement("div", {
        style: {
          display: 'flex',
          justifyContent: 'flex-end',
          gap: 8
        }
      }, /*#__PURE__*/React.createElement(Button, {
        onClick: function onClick() {
          return setOpen(false);
        }
      }, locales.getText('pisell2.text.cancel')), /*#__PURE__*/React.createElement(Button, {
        type: "primary",
        onClick: function onClick() {
          return setOpen(false);
        }
      }, locales.getText('pisell2.text.confirm'))),
      closable: true
    }
  }, /*#__PURE__*/React.createElement("div", null, locales.getText('pisell2.text.missing.reservation.content')));
};
var ForwardedAppointmentProductModal = /*#__PURE__*/forwardRef(AppointmentProductModal);
ForwardedAppointmentProductModal.displayName = 'AppointmentProductModal';
export default withResponsive(ForwardedAppointmentProductModal);